BatchQueryOptions (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class BatchQueryOptions

- java.lang.Object
- - org.apache.cassandra.cql3.BatchQueryOptions

-     public abstract class BatchQueryOptions
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BatchQueryOptions` | `DEFAULT`
    `protected QueryOptions` | `wrapped`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BatchQueryOptions(QueryOptions wrapped, java.util.List<java.lang.Object> queryOrIdList)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract QueryOptions` | `forStatement(int i)`
    `ConsistencyLevel` | `getConsistency()`
    `java.util.List<java.lang.Object>` | `getQueryOrIdList()`
    `ConsistencyLevel` | `getSerialConsistency()`
    `long` | `getTimestamp(QueryState state)`
    `void` | `prepareStatement(int i, java.util.List<ColumnSpecification> boundNames)`
    `static BatchQueryOptions` | `withoutPerStatementVariables(QueryOptions options)`
    `static BatchQueryOptions` | `withPerStatementVariables(QueryOptions options, java.util.List<java.util.List<java.nio.ByteBuffer>> variables, java.util.List<java.lang.Object> queryOrIdList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static BatchQueryOptions DEFAULT

    - #### wrapped

          protected final QueryOptions wrapped

  - ### Constructor Detail

    - #### BatchQueryOptions

          protected BatchQueryOptions(QueryOptions wrapped,
                                      java.util.List<java.lang.Object> queryOrIdList)

  - ### Method Detail

    - #### withoutPerStatementVariables

          public static BatchQueryOptions withoutPerStatementVariables(QueryOptions options)

    - #### withPerStatementVariables

          public static BatchQueryOptions withPerStatementVariables(QueryOptions options,
                                                                    java.util.List<java.util.List<java.nio.ByteBuffer>> variables,
                                                                    java.util.List<java.lang.Object> queryOrIdList)

    - #### forStatement

          public abstract QueryOptions forStatement(int i)

    - #### prepareStatement

          public void prepareStatement(int i,
                                       java.util.List<ColumnSpecification> boundNames)

    - #### getConsistency

          public ConsistencyLevel getConsistency()

    - #### getSerialConsistency

          public ConsistencyLevel getSerialConsistency()

    - #### getQueryOrIdList

          public java.util.List<java.lang.Object> getQueryOrIdList()

    - #### getTimestamp

          public long getTimestamp(QueryState state)

Copyright © 2018 The Apache Software Foundation